Namespace
library
Image / Tag
openjdk:28-ea
Content Digest
sha256:6e0444aa2bcc3d947e187529df1419bc3db2dd9e170a9935ff0ecb0779331f4a
Details
Created

2026-07-21 19:11:17 UTC

Size

295 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-28

JAVA_VERSION

28-ea+7

LANG

C.UTF-8

PATH

/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df759467e6bbd20071f2c29724e5d041a3291f7473f57c7186fc4d31f0aca1a0 - 14.5% (42.8 MB)

[#001] sha256:44e84ac769025b735ad963c991fc844729d330bf00b06c1a99cdc3e0af9fc380 - 11.92% (35.1 MB)

[#002] sha256:bcf453b16e78b882e871779df7f6333723956d29f929dc569c36955dde6010e6 - 73.58% (217 MB)


History
2026-07-21 18:50:20 UTC (buildkit.dockerfile.v0)

ADD oraclelinux-10-slim-amd64-rootfs.tar.xz / # buildkit

2026-07-21 18:50:20 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2026-07-21 19:10:20 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2026-07-21 19:11:17 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-28

2026-07-21 19:11:17 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-07-21 19:11:17 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2026-07-21 19:11:17 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=28-ea+7

2026-07-21 19:11:17 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk28/7/GPL/openjdk-28-ea+7_linux-x64_bin.tar.gz'; downloadSha256='dd4e1eccff978244037ccc2f0cc2bbc5a8763edd9734aaf4276e32df4a758fac'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk28/7/GPL/openjdk-28-ea+7_linux-aarch64_bin.tar.gz'; downloadSha256='27f51da33f338b8f7fceaed8bd13c79b9c19a07cfd33f2f6cf03750f56debeca'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2026-07-21 19:11:17 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Details
Created

2026-07-17 22:05:18 UTC

Size

2.4 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-28

JAVA_SHA256

56a8a125b887851f551dc2ce7d575aabd074617d3ff3df2775e1522ff3d23510

JAVA_URL

https://download.java.net/java/early_access/jdk28/7/GPL/openjdk-28-ea+7_windows-x64_bin.zip

JAVA_VERSION

28-ea+7


Layers

[#000] sha256:0938cf51b672b81c9804d1d5f0c57031c931f41b279270e84820c63642d6a3bd - 59.03% (1.42 GB)

[#001] sha256:e24b28706e4e5f31fae7935e5a79e6df5d7a2eb3e69c8c19ca723f41f0b45f6f - 32.24% (793 MB)

[#002] sha256:dd2d4b3d381f5af0fd854e437600b80a6106a92a72dee0583ae9868b9e11f0d8 - 0.0% (1.29 KB)

[#003] sha256:35fa2af267bbb32cf1dac9526ea517d800973917733a9950abd1ac90e2a0e118 - 0.01% (370 KB)

[#004] sha256:9e6d77fb9e6f3f865474504ae97a15e7f66bf51eaefe315e6e82fa9727f3ce41 - 0.0% (1.25 KB)

[#005] sha256:231feec25566f707f40cefc62619fd8b2a7a18081178a870ed17dbca4f826bf7 - 0.01% (354 KB)

[#006] sha256:c98aa4eabd350543f7e716dfffa3efa1d112a604c054b13d5a6f218dbd01383f - 0.0% (1.26 KB)

[#007] sha256:40fe25de8d7f1f58d07ad52364d205f44be0ae7e717ac27b11ff96b55d28bf1b - 0.0% (1.25 KB)

[#008] sha256:05f436a9186694b6e00298292d13afdeab2cbc1d2f6b646370bdc9a6f7fab352 - 0.0% (1.26 KB)

[#009] sha256:c4006ad38107d40a4875f178e59fa73d84564c02a07b4d8971cfcb529e80ed01 - 8.7% (214 MB)

[#010] sha256:35783b13da6d3d6fcbeb1c4c60fddf2171b82b094b256faeb60c8cc147140041 - 0.0% (1.23 KB)


History
2026-01-11 09:57:36 UTC

Apply image 10.0.26100.32230

2026-07-11 23:02:35 UTC

Install update 10.0.26100.33158

2026-07-17 22:03:04 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2026-07-17 22:04:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2026-07-17 22:04:19 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-28

2026-07-17 22:04:29 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2026-07-17 22:04:30 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=28-ea+7

2026-07-17 22:04:31 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk28/7/GPL/openjdk-28-ea+7_windows-x64_bin.zip

2026-07-17 22:04:32 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=56a8a125b887851f551dc2ce7d575aabd074617d3ff3df2775e1522ff3d23510

2026-07-17 22:05:15 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2026-07-17 22:05:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2026-07-17 22:17:49 UTC

Size

2.22 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-28

JAVA_SHA256

56a8a125b887851f551dc2ce7d575aabd074617d3ff3df2775e1522ff3d23510

JAVA_URL

https://download.java.net/java/early_access/jdk28/7/GPL/openjdk-28-ea+7_windows-x64_bin.zip

JAVA_VERSION

28-ea+7


Layers

[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 62.49% (1.39 GB)

[#001] sha256:0675e37b24741ccc9e6ff6dda8512e3be78ba3519c8af33b04872e4738349249 - 28.06% (638 MB)

[#002] sha256:df55a446d745c7fbbc18ba3e71038c10f971691e9ebcdff560afd2083fd1f055 - 0.0% (1.29 KB)

[#003] sha256:39b2fbeeb38b2ed2f8dd2296c91034022b633b3df530599717d65e8b268af017 - 0.02% (479 KB)

[#004] sha256:9ce318733c755a897dce5b5fe5e44c3e9867edc1cdad44444d76e1cab2523614 - 0.0% (1.3 KB)

[#005] sha256:c8d7e2645bfa5cb93443c729de68644debfea6b9e2d93faa9d2eb39b81c97d54 - 0.01% (331 KB)

[#006] sha256:8969d0f5c5305578b51650d3e77033fe2a6e51af929c5c1bf4332f2a0cf9e12b - 0.0% (1.3 KB)

[#007] sha256:ae555ffa8305f29c37a9186ef4c2a48b341e8f3d5fdf18a34ce394296bfbf870 - 0.0% (1.26 KB)

[#008] sha256:bb3ebe7ee6e274da0d33241c110573a5faca686c0679123415dd2e9390b82a37 - 0.0% (1.29 KB)

[#009] sha256:ea90cb59ed8a1596fb78cd48f44ef0e87d74b707d799dd65bbf245d9038356e0 - 9.42% (214 MB)

[#010] sha256:a7786f7f58bda8c1cb998d8b48294ef167140e5ca4603eb97b971e56a06761fe - 0.0% (1.27 KB)


History
2025-10-09 07:51:18 UTC

Apply image 10.0.20348.4294

2026-07-11 16:30:20 UTC

Install update 10.0.20348.5386

2026-07-17 22:00:35 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2026-07-17 22:01:41 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2026-07-17 22:16:04 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-28

2026-07-17 22:16:11 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2026-07-17 22:16:11 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=28-ea+7

2026-07-17 22:16:13 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk28/7/GPL/openjdk-28-ea+7_windows-x64_bin.zip

2026-07-17 22:16:14 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=56a8a125b887851f551dc2ce7d575aabd074617d3ff3df2775e1522ff3d23510

2026-07-17 22:17:47 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2026-07-17 22:17:49 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2026-07-21 19:11:52 UTC

Size

292 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-28

JAVA_VERSION

28-ea+7

LANG

C.UTF-8

PATH

/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:69697324910cd47582b011f7d2dbbd4188f1ca0467757cf5ae705e312d03c95d - 14.16% (41.3 MB)

[#001] sha256:4792d47620872b62ba02bc240adad146c152d03519562f02b977a4476bb07dc2 - 12.07% (35.2 MB)

[#002] sha256:b1544074ad5c13d1a0f8f5c0fc99e51b3ef05ee19b2dc926059e8fb7893efd1c - 73.77% (215 MB)


History
2026-07-21 18:52:18 UTC (buildkit.dockerfile.v0)

ADD oraclelinux-10-slim-arm64v8-rootfs.tar.xz / # buildkit

2026-07-21 18:52:18 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2026-07-21 19:10:56 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2026-07-21 19:11:52 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-28

2026-07-21 19:11:52 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-07-21 19:11:52 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2026-07-21 19:11:52 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=28-ea+7

2026-07-21 19:11:52 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk28/7/GPL/openjdk-28-ea+7_linux-x64_bin.tar.gz'; downloadSha256='dd4e1eccff978244037ccc2f0cc2bbc5a8763edd9734aaf4276e32df4a758fac'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk28/7/GPL/openjdk-28-ea+7_linux-aarch64_bin.tar.gz'; downloadSha256='27f51da33f338b8f7fceaed8bd13c79b9c19a07cfd33f2f6cf03750f56debeca'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2026-07-21 19:11:52 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete